> For the complete documentation index, see [llms.txt](https://docs.validator247.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validator247.com/testnet/odiseo.md).

# Odiseo

Enpoint

```
RPC URL: https://daodiseo-testnet-rpc.validator247.com
API URL: https://daodiseo-testnet-api.validator247.com
```

## Install Node

```
cd $HOME
rm -rf Achilles
git clone https://github.com/daodiseomoney/Achilles.git
cd $HOME/Achilles/achilles
make install
```

## Initialize Node

```
achillesd init <your_nodename> --chain-id=ithaca-1
```

## Download genesis & addrboook

```
wget -O genesis.json https://raw.githubusercontent.com/Validator247/Odiseo-testet/main/genesis.json --inet4-only && mv genesis.json $HOME/.achilles/config/

wget -O addrbook.json https://raw.githubusercontent.com/Validator247/Odiseo-testet/main/addrbook.json --inet4-only && mv addrbook.json $HOME/.achilles/config/
```

**Set min gas:**

```
sed -i -e 's|^minimum-gas-prices *=.*|minimum-gas-prices = "0.25uodis"|' $HOME/.achilles/config/app.toml
```

**Set indexer:**

```
sed -i -e "s/^indexer *=.*/indexer = \"null\"/" $HOME/.achilles/config/config.toml
```

**Pruning:**

```
sed -i -e "s/^pruning *=.*/pruning = \"custom\"/" $HOME/.achilles/config/app.toml 
sed -i -e "s/^pruning-keep-recent *=.*/pruning-keep-recent = \"100\"/" $HOME/.achilles/config/app.toml
sed -i -e "s/^pruning-interval *=.*/pruning-interval = \"50\"/" $HOME/.achilles/config/app.toml
```

#### Create Service: <a href="#create-service" id="create-service"></a>

```
sudo tee /etc/systemd/system/achillesd.service > /dev/null <<EOF
[Unit]
Description=Achilles Node
After=network-online.target

[Service]
User=$USER
ExecStart=$(which achillesd) start
Restart=always
RestartSec=3
LimitNOFILE=65535

[Install]
WantedBy=multi-user.target
EOF
sudo systemctl daemon-reload
sudo systemctl enable achillesd
```

## Command

### Wallet: <a href="#wallet" id="wallet"></a>

#### Add New Wallet: <a href="#add-new-wallet" id="add-new-wallet"></a>

```
achillesd keys add wallet
```

#### Restore executing wallet: <a href="#restore-executing-wallet" id="restore-executing-wallet"></a>

```
achillesd keys add wallet --recover
```

#### List All Wallets: <a href="#list-all-wallets" id="list-all-wallets"></a>

```
achillesd keys list
```

#### Delete wallet: <a href="#delete-wallet" id="delete-wallet"></a>

```
achillesd keys delete wallet
```

#### Check Balance: <a href="#check-balance" id="check-balance"></a>

```
achillesd q bank balances $(achillesd keys show wallet -a)
```

### Validator: <a href="#validator" id="validator"></a>

#### Create Validator: <a href="#create-validator" id="create-validator"></a>

Create file: validator.json

```
{
    "pubkey": {"@type":"/cosmos.crypto.ed25519.PubKey","key":"xxxxxxxxxxxxxxx"},
    "amount": "1000000uodis",
    "moniker": "Your_nodename",
    "identity": "",
    "website": "",
    "security": "",
    "details": ",
    "commission-rate": "0.05",
    "commission-max-rate": "0.05",
    "commission-max-change-rate": "0.01",
    "min-self-delegation": "1"
}
```

Create Validator

```
achillesd tx staking create-validator /path/to/validator.json \
--from wallet \
--chain-id ithaca-1 \
--gas auto \
--gas-adjustment 1.5 \
--gas-prices=0.25uodis \
--node=https://daodiseo-testnet-rpc.validator247.com:443 \
```

#### Edit Validator <a href="#edit-validator" id="edit-validator"></a>

```
achillesd tx staking edit-validator \

--identity=xxxx \
--details="xxxx" \
--chain-id=ithaca-1 \
--commission-rate=0.1 \
--from=wallet \
--gas-prices=0.25uodis \
--gas-adjustment=1.5 \
--gas=auto \
-y
```

#### Check sync | False -> done. <a href="#check-sync--false---done" id="check-sync--false---done"></a>

```
achillesd status 2>&1 | jq .SyncInfo.catching_up
```

#### Delegate: <a href="#delegate" id="delegate"></a>

```
achillesd tx staking delegate $(achillesd keys show wallet --bech val -a) 1000000uodis \
--from wallet \
--chain-id=ithaca-1 \
--gas-prices 0.025uodis \
--node=https://daodiseo-testnet-rpc.validator247.com:443 \
-y
```

#### Withdraw rewards and commission: <a href="#withdraw-rewards-and-commission" id="withdraw-rewards-and-commission"></a>

```
achillesd tx distribution withdraw-rewards $(achillesd keys show wallet --bech val -a) \
--commission \
--from wallet \
--chain-id=ithaca-1 \
--gas-prices 0.025uodis \
--node=https://daodiseo-testnet-rpc.validator247.com:443 \
-y
```

#### Unjail: <a href="#unjail" id="unjail"></a>

```
--from wallet \
--chain-id=ithaca-1 \
--gas-prices 0.025uodis \
--node=https://daodiseo-testnet-rpc.validator247.com:443 \
-y
```

#### Unbond: <a href="#unbond" id="unbond"></a>

```
achillesd tx staking unbond $(achillesd keys show wallet --bech val -a) 1000000uodis \
--from wallet \
--chain-id=ithaca-1 \
--gas-prices 0.025uodis \
--node=https://daodiseo-testnet-rpc.validator247.com:443 \
-y
```

### Vote: <a href="#vote" id="vote"></a>

`yes/no/no_with_veto/abstain`

```
achillesd tx gov vote 1 yes \
--from wallet \
--chain-id ithaca-1  \
--gas-prices 0.025uodis \
--node=https://daodiseo-testnet-rpc.validator247.com:443 \
-y
```

### System: <a href="#system" id="system"></a>

#### Reload Service: <a href="#reload-service" id="reload-service"></a>

```
sudo systemctl daemon-reload
```

#### Enable Service: <a href="#enable-service" id="enable-service"></a>

```
sudo systemctl enable achillesd
```

#### Disable Service: <a href="#disable-service" id="disable-service"></a>

```
sudo systemctl disable achillesd
```

#### Start Service: <a href="#start-service" id="start-service"></a>

```
sudo systemctl start achillesd
```

#### Stop Service: <a href="#stop-service" id="stop-service"></a>

```
sudo systemctl stop achillesd
```

#### Restart Service: <a href="#restart-service" id="restart-service"></a>

```
sudo systemctl restart achillesd
```

#### Check Service Status: <a href="#check-service-status" id="check-service-status"></a>

```
sudo systemctl status achillesd
```

#### Check Service Logs: <a href="#check-service-logs" id="check-service-logs"></a>

```
sudo journalctl -u achillesd -fo cat
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validator247.com/testnet/odiseo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
